Get Scan
curl --request GET \
--url https://api.example.com/api/v2/deployments/{deploymentId}/scans/{scanId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/deployments/{deploymentId}/scans/{scanId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/deployments/{deploymentId}/scans/{scanId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scan": {
"id": "12345",
"deploymentId": "1605",
"projectId": "7884",
"branchId": "7890",
"commit": "abcdef1234567890",
"startTime": "2023-11-18T23:28:12.391Z",
"completeTime": "2023-11-18T23:30:12.391Z",
"exitCode": 0,
"isFullScan": true,
"duration": 501.4,
"findingsCounts": {
"total": 10,
"code": 5,
"supplyChain": 3,
"secrets": 2
},
"status": "SCAN_STATUS_RUNNING",
"enabledProducts": [
"PRODUCT_SAST",
"PRODUCT_SCA",
"PRODUCT_SECRETS"
]
}
}Scans
Get Scan
Get a scan by ID.
GET
/
api
/
v2
/
deployments
/
{deploymentId}
/
scans
/
{scanId}
Get Scan
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
The unique numerical identifier of the deployment associated with the scan. Can be found via the Deployments Service or in your Settings in the web UI.
Example:
"1234"
The unique numerical identifier for the scan.
Example:
"12345"
Response
200 - application/json
OK
A scan of a project.
Show child attributes
Show child attributes
Was this page helpful?
⌘I